Orxonox: orxonox::LevelManager Class Reference

# orxonox::LevelManager Class Reference

`#include <src/orxonox/LevelManager.h>`

Inheritance diagram for orxonox::LevelManager:

List of all members.

## Public Member Functions

Level * | getActiveLevel ()
const std::string & | getDefaultLevel ()
| LevelManager ()
void | releaseActivity (Level *level)
void | requestActivity (Level *level)
void | setConfigValues ()
| Function to collect the SetConfigValue-macro calls.
void | setDefaultLevel (const std::string &levelName)
virtual | ~LevelManager ()

## Static Public Member Functions

static LevelManager & | getInstance ()
static LevelManager * | getInstancePtr ()

## Private Member Functions

void | activateNextLevel ()
| LevelManager (const LevelManager &)

## Private Attributes

std::string | defaultLevelName_
std::list< Level * > | levels_s

## Static Private Attributes

static LevelManager * | singletonRef_s

## Constructor & Destructor Documentation

orxonox::LevelManager::LevelManager | ( |  | ) |

virtual orxonox::LevelManager::~LevelManager | ( |  | ) | `[virtual]`

orxonox::LevelManager::LevelManager | ( | const LevelManager & |  | ) | `[private]`

## Member Function Documentation

void orxonox::LevelManager::activateNextLevel | ( |  | ) | `[private]`

Level* orxonox::LevelManager::getActiveLevel | ( |  | ) |

Referenced by orxonox::PlayerManager::clientConnected(), and orxonox::PlayerManager::clientDisconnected().

const std::string& orxonox::LevelManager::getDefaultLevel | ( |  | ) |

static LevelManager& orxonox::LevelManager::getInstance | ( |  | ) | `[inline, static]`

Referenced by orxonox::PlayerManager::clientConnected(), orxonox::PlayerManager::clientDisconnected(), orxonox::GSLevel::loadLevel(), orxonox::Level::setGametypeString(), tolua_Orxonox_orxonox_LevelManager_getInstance00(), and orxonox::Level::~Level().

static LevelManager* orxonox::LevelManager::getInstancePtr | ( |  | ) | `[inline, static]`

Referenced by orxonox::PlayerManager::clientConnected(), orxonox::PlayerManager::clientDisconnected(), orxonox::Level::setGametypeString(), and orxonox::Level::~Level().

void orxonox::LevelManager::releaseActivity | ( | Level * | level | ) |

Referenced by orxonox::Level::~Level().

void orxonox::LevelManager::requestActivity | ( | Level * | level | ) |

Referenced by orxonox::Level::setGametypeString().

void orxonox::LevelManager::setConfigValues | ( |  | ) |

Function to collect the SetConfigValue-macro calls.

Reimplemented from orxonox::OrxonoxClass.

void orxonox::LevelManager::setDefaultLevel | ( | const std::string & | levelName | ) |

## Member Data Documentation

std::string orxonox::LevelManager::defaultLevelName_`[private]`

std::list<Level*> orxonox::LevelManager::levels_s`[private]`

LevelManager* orxonox::LevelManager::singletonRef_s`[static, private]`

The documentation for this class was generated from the following file:

- src/orxonox/LevelManager.h